Bug 865860 - Candlepin cert default uses "Red Hat" as Organization and "Cloud BU" as Organization BU
Candlepin cert default uses "Red Hat" as Organization and "Cloud BU" as Organ...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: 6.0
Assigned To: Lukas Zapletal
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 12:38 EDT by Thom Carlin
Modified: 2014-09-18 12:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:14:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2012-10-12 12:38:49 EDT
Description of problem:

System Engine uses "Red Hat" for Organization (O) and "Cloud BU" for Organizational Unit (OU).  This is ok for the beta but should be updated to match across all CA's in CloudForms.  One idea is to use "SomeOrg" for O and "SomeOrgUnit" for OU as Cloud Engine does.

Version-Release number of selected component (if applicable):

CloudForms 1.1

How reproducible:

Every time

Steps to Reproduce:
1. katello-configure
2. Examine candlepin certificate
3.
  
Actual results:

Issuer: C=US, ST=North Carolina, L=Raleigh, O=Red Hat, OU=Cloud BU, CN=<hostname>

Expected results:

Issuer: C=US, ST=North Carolina, L=Raleigh, O=SomeOrg, OU=SomeOrgUnit, CN=<snip>

Additional info:
Comment 2 Bryan Kearney 2012-12-18 13:11:04 EST
https://github.com/Katello/katello/pull/1297
Comment 3 Bryan Kearney 2012-12-19 08:12:23 EST
commit 5761915e070c79eb3a0305544ba2679156fac8b9
Author: Bryan Kearney <bkearney@redhat.com>
Date:   Tue Dec 18 13:08:20 2012 -0500

    865860: Change the default org and  orgunit values for the candlepin cert
Comment 4 Mike McCune 2013-09-19 14:14:00 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.